diff --git a/web/pgadmin/browser/server_groups/servers/types.py b/web/pgadmin/browser/server_groups/servers/types.py
index b85fd3a..3760746 100644
--- a/web/pgadmin/browser/server_groups/servers/types.py
+++ b/web/pgadmin/browser/server_groups/servers/types.py
@@ -53,8 +53,8 @@ class ServerType(object):
         paths = Preferences('paths', _('Paths'))

         for key in cls.registry:
-            st = cls.registry[key]
-            default_path = config.DEFAULT_BINARY_PATHS[st.stype] or ""
+            st = cls.registry.get(key)
+            default_path = config.DEFAULT_BINARY_PATHS.get(st.stype) or ""

             st.utility_path = paths.register(
                 'bin_paths', st.stype + '_bin_dir',
